{ pkgs, ... }:

{
  environment.systemPackages = with pkgs; [
    unstable.sunshine
  ];

  services.udev.extraRules = ''
    KERNEL=="uinput", SUBSYSTEM=="misc", OPTIONS+="static_node=uinput", TAG+="uaccess"
  '';

  services.avahi = {
    enable = true;
  };

  networking.firewall = {
    allowedTCPPorts = [ 48010 ];
    allowedTCPPortRanges = [
      { from = 47984; to = 47990; }
    ];
    allowedUDPPortRanges = [
      { from = 47998; to = 48000; }
    ];
  };
}
